Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Interface PartialStateHolder

All Superinterfaces:
  StateHolder

All Known Implementing Classes:
  AjaxBehavior, BeanValidator, BehaviorBase, ClientBehaviorBase, DateTimeConverter, DoubleRangeValidator, EnumConverter, HtmlBody, HtmlColumn, HtmlCommandButton, HtmlCommandLink, HtmlDataTable, HtmlForm, HtmlGraphicImage, HtmlHead, HtmlInputHidden, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, HtmlMessage, HtmlMessages, HtmlOutcomeTargetButton, HtmlOutcomeTargetLink, HtmlOutputFormat, HtmlOutputLabel, HtmlOutputLink, HtmlOutputText, HtmlPanelGrid, HtmlPanelGroup, HtmlSelectBooleanCheckbox, HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu, HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio, LengthValidator, LongRangeValidator, NumberConverter, RegexValidator, UIColumn, UICommand, UIComponent, UIComponentBase, UIData, UIForm, UIGraphic, UIInput, UIMessage, UIMessages, UINamingContainer, UIOutcomeTarget, UIOutput, UIPanel, UIParameter, UISelectBoolean, UISelectItem, UISelectItems, UISelectMany, UISelectOne, UIViewParameter, UIViewRoot

    public interface PartialStateHolder

extends StateHolder

Components that want to leverage the partial state saving feature must implement this interface instead of implementing `StateHolder`, from which this interface inherits.

Since:
  2.0

Method Summary
`void` | `clearInitialState()` Reset the PartialStateHolder to a non-delta tracking state.
`boolean` | `initialStateMarked()` Return `true` if delta state changes are being tracked, otherwise `false`
`void` | `markInitialState()` The runtime must ensure that the `markInitialState()` method is called on each instance of this interface in the view at the appropriate time to indicate the component is in its initial state.

Methods inherited from interface javax.faces.component.StateHolder
`isTransient, restoreState, saveState, setTransient`

Method Detail

### markInitialState

    void markInitialState()

  The runtime must ensure that the `markInitialState()` method is called on each instance of this interface in the view at the appropriate time to indicate the component is in its initial state. The implementor of the interface must ensure that `initialStateMarked()` returns `true` from the time `markInitialState()` is called until `clearInitialState()` is called, after which time `initialStateMarked()` must return `false`. Also, during the time that the instance returns `true` from `initialStateMarked()`, the implementation must return only the state that has changed in its implementation of `StateHolder.saveState(javax.faces.context.FacesContext)`.

  Since:
    2.0

### initialStateMarked

    boolean initialStateMarked()

  Return `true` if delta state changes are being tracked, otherwise `false`

  Since:
    2.0

### clearInitialState

    void clearInitialState()

  Reset the PartialStateHolder to a non-delta tracking state.

  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.